<!--
 - Created by MarcelBrimus on 29/11/2019.
 -->

<!-- Vtt Lightning Community Management Disable User -->
<template>
    <lightning-button-icon icon-name="utility:resource_absence"
                           variant="border-filled"
                           onclick={openmodal}
                           alternative-text="Disable User"
                           class="slds-m-left_xx-small"></lightning-button-icon>
    <template if:true={showModal}>
        <section
                role="dialog"
                tabindex="-1"
                aria-labelledby="modal-heading-01"
                aria-modal="true"
                aria-describedby="modal-content-id-1"
                class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container">
                <div class="slds-is-relative">
                    <lightning-spinner size="small" if:true={disablingInProgress}></lightning-spinner>
                    <header class="slds-modal__header">
                        <h2 id="modal-heading-01-small"
                            class="slds-text-heading_medium slds-hyphenate">Are you sure you want to disable
                            {contact.Name}?</h2>
                    </header>
                    <footer class="slds-modal__footer">
                        <lightning-button-group class="slds-align_absolute-center">
                            <template if:true={isCommunityUser}>
                                <lightning-button label="Yes"
                                                  variant="Success"
                                                  onclick={disableAsCommunityUser}></lightning-button>
                            </template>
                            <template if:false={isCommunityUser}>
                                <lightning-button label="Yes"
                                                  variant="Success"
                                                  onclick={disableAsInternalUser}></lightning-button>
                            </template>
                            <lightning-button label="No"
                                              variant="Neutral"
                                              onclick={closeModal}></lightning-button>

                        </lightning-button-group>
                    </footer>
                </div>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>
</template>